%define oldname control-center-plus

Summary: Additionnal GNOME control center configuration applets
Name: gnome-%{oldname}
Version: 1.5.11
Release: 3mdk
License: GPL
Group: Graphical desktop/GNOME
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	bonobo-conf-devel
BuildRequires:	control-center-devel
BuildRequires:	libconfig_archiver-devel
BuildRequires:	libglade-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	texinfo

Source0: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{oldname}-%{version}.tar.bz2
# (fc) add icepref as configuration tool for IceWM
Patch0: gnome-control-center-plus-1.5.8-icepref.patch.bz2
# (fc) fix fontset for gtk-theme
Patch1: gnome-control-center-plus-1.5.8-fontset.patch.bz2
Obsoletes: %{oldname}
Provides: %{oldname} = %{version}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org

%description
GNOME Control-center is a configuration tool for easily
setting up your GNOME environment.

This package contains additional configuration applets
for GNOME Control-Center.



%prep
%setup -q -n %{oldname}-%{version}
%patch0 -p1 -b .icepref
%patch1 -p1 -b .fontset

%build

%configure

%make	  

%install
rm -rf $RPM_BUILD_ROOT

#makeinstall macro doesn't work
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): icon="/usr/share/control-center-plus/icons/advanced-directory.png" longtitle="Advanced Settings" title="Advanced" needs=gnome section="Configuration/Gnome"
?package(%{name}): command="%{_bindir}/file-types-capplet" icon="/usr/share/control-center-plus/icons/file-types-capplet.png" longtitle="Specify which programs are used to open or view each file type" title="File Types and Programs" needs=gnome section="Configuration/Gnome/Advanced"
?package(%{name}): command="%{_bindir}/mime-type-capplet" icon="/usr/share/control-center-plus/icons/mime-type-capplet.png" longtitle="Configure how files are associated and started" title="Mime Types" needs=gnome section="Configuration/Gnome/Advanced"
?package(%{name}): command="%{_bindir}/url-properties" icon="/usr/share/control-center-plus/icons/url-capplet.png" longtitle="Configure which programs are used to display URLs" title="URL handlers" needs=gnome section="Configuration/Gnome/Advanced"
?package(%{name}): command="%{_bindir}/ui-properties" icon="/usr/share/control-center-plus/icons/behavior-capplet.png" longtitle="Sets the default feel of Gnome applications" title="Behavior" needs=gnome section="Configuration/Gnome/Advanced"
?package(%{name}): command="%{_bindir}/wm-properties-capplet --sync" icon="/usr/share/control-center-plus/icons/wm-capplet.png" longtitle="Choose a window manager" title="Window Manager Selector" needs=gnome section="Configuration/Gnome/Advanced"
?package(%{name}): command="%{_bindir}/gtk-theme-selector-capplet" icon="/usr/share/control-center-plus/icons/gtk-theme-selector-capplet.png" longtitle="Select which gtk+ theme to use" title="Gtk+ Theme Selector" needs=gnome section="Configuration/Gnome/Advanced"
EOF

%{find_lang} %{oldname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{oldname}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/control-center/capplets/*
%{_datadir}/control-center-plus
%{_datadir}/gnome/wm-properties
%{_menudir}/*

%changelog
* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 1.5.11-3mdk
- BuildRequires

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-2mdk
- Update patch0: fix icepref loading (thanks to Goetz Waschk)

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-1mdk
- Release 1.5.11

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-3mdk
- Remove dependency on gnome-control-center (not needed)

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.5.8-2mdk
- fixed BuildRequires

* Wed Oct 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-1mdk
- Initial Mdk package (previously part of gnome-control-center)
